=== debian/changelog ===
lomiri-indicator-network (1.0.0~git20220718.2ca3619-4) unstable; urgency=medium

  * debian/control:
    + In Depends:, switch from obsolete indicator-common to ayatana-indicator-
      common. (Closes: #1021219).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Oct 2022 01:23:57 +0200

lomiri-indicator-network (1.0.0~git20220718.2ca3619-3) unstable; urgency=medium

  * debian/lomiri-indicator-network.install:
    + Fix some installation paths. (Closes: #1021163, #1021164).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Oct 2022 14:45:30 +0200

lomiri-indicator-network (1.0.0~git20220718.2ca3619-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Oct 2022 15:25:36 +0200

lomiri-indicator-network (1.0.0~git20220718.2ca3619-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1015735).
  * debian/control:
    + Switch to debhelper-compat notation and bump DH compat level to version
      13.
    + Update Maintainers: and Uploaders: field for official Debian upload.
    + Change Section: from gnome to misc.
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Adjust Vcs-*: fields for official Debian upload.
    + Remove X-Ubuntu-Use-Langpack: field.
    + Add B-D: pkg-kde-tools.
    + Drop from B-D: qt5-default.
    + Update versioned B-D: python-dbusmock (>= 0.28.4).
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Switch from wrongly architecturized valgrind B-D to valgrind-if-available.
      Attribute systemd B-D with [linux-any].
    + Rework package descriptions.
  * debian/rules:
    + Add get-orig-source target.
    + Drop '--with systemd' and '--parallel'.
    + Move --fail-missing into dh_missing override.
    + Build with pkgkde_symbolshelper.
    + Enable hardening build flags.
    + Remove empty images/ dir.
    + Use NULL variable in dh_auto_configure.
  * debian/docs:
    + Add README.widgets.
  * debian/source/format:
    + Add file, use '3.0 (quilt)'.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/patches:
    + Add 1001_typo-fixes.patch.
    + Add 1002_use-ayatana-indicators-profile-directory.patch.
    + Add 1003_no-abs-paths-in-documentation.patch.
    + Add 1004_fix-Canonical-copyrights.patch.
    + Add 1005_use-libexecdir.patch.
  * debian/lomiri-indicator-network.install:
    + Adjust for patch 1005.
  * debian/{rules,lomiri-indicator-network.install}:
    + Remove upstart files.
  * debian/lomiri-indicator-network.install:
    + Adjust path for INDICATOR_DIR.
  * debian/:
    + Rename shared library bin:pkg.
  * debian/liblomiri-connectivity-qt1-1.symbols:
    + Add .symbols file.
  * debian/copyright:
    + Add auto-generated copyright.in template file.
    + Rewrite copyright attributions file from scratch.
  * debian/lomiri-indicator-network.links:
    + Drop file. Not needed with DH compat level 12 or higher anymore.
  * debian/liblomiri-connectivity-qt1-dev.examples:
    + Add file. Ship examples in dev:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 21 Jul 2022 02:12:46 +0200

indicator-network (0.8.1+ubports1) xenial; urgency=medium

  * Update Jenkinsfile

 -- Dan Chapman <dan@ubports.com>  Thu, 11 Jan 2018 11:57:17 +0000

indicator-network (0.8.1+ubports) vivid; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Sun, 23 Jul 2017 17:34:03 +0200

indicator-network (0.8.0+17.04.20161021-0ubuntu1) zesty; urgency=medium

  [ Martin Pitt, Ted Gould ]
  * Add systemd user unit

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 21 Oct 2016 10:16:47 +0000

indicator-network (0.8.0+16.10.20161013-0ubuntu1) yakkety; urgency=medium

  [ Iain Lane ]
  * data/indicator-network-secret-agent.conf.in: Only start on Unity 8.
    We only start the indicator there; do the same for the secret-agent
    too. This works around a crash on i386 (by not running the code) -
    the crash is still pending investigation. (LP: #1632382)

 -- Antti Kaijanmäki <antti@kaijanmaki.net>  Thu, 13 Oct 2016 11:52:41 +0000

indicator-network (0.8.0+16.10.20160930.5-0ubuntu1) yakkety; urgency=medium

  [ Antti Kaijanmäki, Charles Kerr ]
  * Don't require urfkill, and handle flight mode gracefully when not
    present

  [ Pete Woods ]
  * Try and make the agent unit tests more reliable

 -- Antti Kaijanmäki <antti@kaijanmaki.net>  Fri, 30 Sep 2016 17:08:25 +0000

indicator-network (0.8.0+16.10.20160915-0ubuntu1) yakkety; urgency=medium

  * Remove lots of dead code, resources, and change ofono dependency to
    suggested.

 -- Pete Woods <pete.woods@canonical.com>  Thu, 15 Sep 2016 15:57:25 +0000

indicator-network (0.8.0+16.10.20160817.2-0ubuntu1) yakkety; urgency=medium

  [ Antti Kaijanmäki ]
  * Use a timer to set the sim for mobile data if only one sim exists.
    (LP: #1598010)

  [ Pete Woods ]
  * Re-enable tests on all architectures (LP: #1612619)

 -- Pete Woods <pete.woods@canonical.com>  Wed, 17 Aug 2016 11:50:15 +0000

indicator-network (0.8.0+16.10.20160804-0ubuntu1) yakkety; urgency=medium

  [ Antti Kaijanmäki ]
  * Add qttools5-dev-tools to build dependencies to get qdoc.
  * Fix crash when modem becomes ready before it's SIM. (LP: #1607079)

  [ Stephen M. Webb ]
  * Update the DESKTOP_SESSION string used to identify a Unity 8 session
    on Ubuntu desktop. (LP: #1603453)

 -- Antti Kaijanmäki <antti@kaijanmaki.net>  Thu, 04 Aug 2016 12:00:04 +0000

indicator-network (0.8.0+16.10.20160722-0ubuntu1) yakkety; urgency=medium

  * Don't expect to have PreferredLanguages on a SIM.

 -- Antti Kaijanmäki <antti@kaijanmaki.net>  Fri, 22 Jul 2016 13:14:05 +0000

indicator-network (0.8.0+16.10.20160718-0ubuntu1) yakkety; urgency=medium

  * Show no-simcard icon on the panel when SIM card is missing.

 -- Antti Kaijanmäki <antti@kaijanmaki.net>  Mon, 18 Jul 2016 13:12:03 +0000

indicator-network (0.8.0+16.10.20160705.1-0ubuntu1) yakkety; urgency=medium

  [ Pete Woods ]

