## lomiri-indicator-network 1.0.0~git20221216.698b753

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 option(REMOTE_BUILD "Remote build (skip docs, translations, tests)." FALSE)
 option(ENABLE_TESTS "Enable tests" TRUE)
 option(ENABLE_COVERAGE "Generate Coverage Reports" TRUE)
+option(ENABLE_UBUNTU_COMPAT "Enable Ubuntu.Connectivity QML compatibility layer" OFF)
 
 if(${trace_messages})
   add_definitions(-DINDICATOR_NETWORK_TRACE_MESSAGES)
@@ -33,12 +34,6 @@
     -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
     -DLOCALE_DIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
 )
-
-# Workaround for libexecdir on debian
-if (EXISTS "/etc/debian_version")
-  set(CMAKE_INSTALL_LIBEXECDIR ${CMAKE_INSTALL_LIBDIR})
-  set(CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}")
-endif()
 
 set(DATA_DIR "${CMAKE_SOURCE_DIR}/data")
