=== debian/changelog ===
lomiri-indicator-network (1.0.0~git20221216.698b753-1) unstable; urgency=medium

  * New Git snapshot. (Closes: #1026817).
  * debian/patches:
    + Drop patches 1001, 1004 and 1005. All applied upstream.
  * debian/liblomiri-connectivity-qt1-1.symbols:
    + Update .symbols file.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/lomiri-connectivity-doc.doc-base:
    + Add file.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Jan 2023 11:44:05 +0100
