=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=1.0.0~git%cd.%h" \
https://gitlab.com/ubports/development/core/lomiri-indicator-network \
HEAD
