## lomiri-indicator-network 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
-project(lomiri-indicator-network C CXX)
 cmake_minimum_required(VERSION 3.13)
+
+project(lomiri-indicator-network VERSION 1.0.0 LANGUAGES C CXX)
 
 string(TOLOWER "${CMAKE_BUILD_TYPE}" build_type_lower)
