=== src/indicator/CMakeLists.txt ===
--- 
+++ 
@@ -125,6 +125,12 @@
     PptpAdaptor
 )
 
+qt5_add_dbus_interface(
+    NETWORK_SERVICE_SOURCES
+    "${DATA_DIR}/org.freedesktop.DBus.Properties.xml"
+    PropertiesInterface
+)
+
 add_library(
   lomiri-indicator-network-service-static
   STATIC
@@ -137,7 +143,7 @@
     notify_cpp
     url_dispatcher_cpp
     qdbus-stubs
-    qpowerd
+    qrepowerd
     util
     ${GLIB_LDFLAGS}
     ${QOFONO_LDFLAGS}
