=== debian/changelog ===
lomiri-indicator-network (1.0.0-1ubuntu1) lunar; urgency=medium

  * debian/liblomiri-connectivity-qt1-1.symbols:
    + Remove. Upstream is C++ and does not aggressively manage their symbol
      visibility, so the symbols files are unhelpfully compiler-version-,
      architecture-, and compiler-option-specific.
      The debhelper-compat 13 default of -VUpstream-Version is sufficient.
  * debian/rules:
  * debian/control:
    + Drop pkgkde_symbolshelper; no longer useful to (try to) manage the
      symbols.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 04 Apr 2023 17:27:49 +1000

lomiri-indicator-network (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Start watching upstream releases.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/docs:
    + Adjust to renamed/removed README files.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 02:41:53 +0100
