=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lomiri-indicator-network
 Section: misc
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <marius@ubports.com>,
@@ -35,8 +36,7 @@
                qttools5-dev-tools,
                valgrind-if-available,
                systemd [linux-any],
-               pkg-kde-tools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-indicator-network.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-indicator-network
